Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network46.167.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
46.167.0.0
Broadcast address
46.167.63.255
First usable
46.167.0.1
Last usable
46.167.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 2EA70000 · Integer 782696448 to 782712831
Reverse DNS zones
0.167.46.in-addr.arpa
1.167.46.in-addr.arpa
2.167.46.in-addr.arpa
3.167.46.in-addr.arpa
4.167.46.in-addr.arpa
5.167.46.in-addr.arpa
6.167.46.in-addr.arpa
7.167.46.in-addr.arpa
8.167.46.in-addr.arpa
9.167.46.in-addr.arpa
10.167.46.in-addr.arpa
11.167.46.in-addr.arpa
12.167.46.in-addr.arpa
13.167.46.in-addr.arpa
14.167.46.in-addr.arpa
15.167.46.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101110.10100111.00000000.0000000046.167.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00101110.10100111.00000000.0000000046.167.0.0
Broadcast00101110.10100111.00111111.1111111146.167.63.255
Split into smaller subnets/26

46.167.0.0/18 makes 256 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
146.167.0.0/2646.167.0.1 to 46.167.0.6246.167.0.6362
246.167.0.64/2646.167.0.65 to 46.167.0.12646.167.0.12762
346.167.0.128/2646.167.0.129 to 46.167.0.19046.167.0.19162
446.167.0.192/2646.167.0.193 to 46.167.0.25446.167.0.25562
546.167.1.0/2646.167.1.1 to 46.167.1.6246.167.1.6362
646.167.1.64/2646.167.1.65 to 46.167.1.12646.167.1.12762
746.167.1.128/2646.167.1.129 to 46.167.1.19046.167.1.19162
846.167.1.192/2646.167.1.193 to 46.167.1.25446.167.1.25562
946.167.2.0/2646.167.2.1 to 46.167.2.6246.167.2.6362
1046.167.2.64/2646.167.2.65 to 46.167.2.12646.167.2.12762
1146.167.2.128/2646.167.2.129 to 46.167.2.19046.167.2.19162
1246.167.2.192/2646.167.2.193 to 46.167.2.25446.167.2.25562
1346.167.3.0/2646.167.3.1 to 46.167.3.6246.167.3.6362
1446.167.3.64/2646.167.3.65 to 46.167.3.12646.167.3.12762
1546.167.3.128/2646.167.3.129 to 46.167.3.19046.167.3.19162
1646.167.3.192/2646.167.3.193 to 46.167.3.25446.167.3.25562
1746.167.4.0/2646.167.4.1 to 46.167.4.6246.167.4.6362
1846.167.4.64/2646.167.4.65 to 46.167.4.12646.167.4.12762
1946.167.4.128/2646.167.4.129 to 46.167.4.19046.167.4.19162
2046.167.4.192/2646.167.4.193 to 46.167.4.25446.167.4.25562
2146.167.5.0/2646.167.5.1 to 46.167.5.6246.167.5.6362
2246.167.5.64/2646.167.5.65 to 46.167.5.12646.167.5.12762
2346.167.5.128/2646.167.5.129 to 46.167.5.19046.167.5.19162
2446.167.5.192/2646.167.5.193 to 46.167.5.25446.167.5.25562
2546.167.6.0/2646.167.6.1 to 46.167.6.6246.167.6.6362
2646.167.6.64/2646.167.6.65 to 46.167.6.12646.167.6.12762
2746.167.6.128/2646.167.6.129 to 46.167.6.19046.167.6.19162
2846.167.6.192/2646.167.6.193 to 46.167.6.25446.167.6.25562
2946.167.7.0/2646.167.7.1 to 46.167.7.6246.167.7.6362
3046.167.7.64/2646.167.7.65 to 46.167.7.12646.167.7.12762
3146.167.7.128/2646.167.7.129 to 46.167.7.19046.167.7.19162
3246.167.7.192/2646.167.7.193 to 46.167.7.25446.167.7.25562
3346.167.8.0/2646.167.8.1 to 46.167.8.6246.167.8.6362
3446.167.8.64/2646.167.8.65 to 46.167.8.12646.167.8.12762
3546.167.8.128/2646.167.8.129 to 46.167.8.19046.167.8.19162
3646.167.8.192/2646.167.8.193 to 46.167.8.25446.167.8.25562
3746.167.9.0/2646.167.9.1 to 46.167.9.6246.167.9.6362
3846.167.9.64/2646.167.9.65 to 46.167.9.12646.167.9.12762
3946.167.9.128/2646.167.9.129 to 46.167.9.19046.167.9.19162
4046.167.9.192/2646.167.9.193 to 46.167.9.25446.167.9.25562
4146.167.10.0/2646.167.10.1 to 46.167.10.6246.167.10.6362
4246.167.10.64/2646.167.10.65 to 46.167.10.12646.167.10.12762
4346.167.10.128/2646.167.10.129 to 46.167.10.19046.167.10.19162
4446.167.10.192/2646.167.10.193 to 46.167.10.25446.167.10.25562
4546.167.11.0/2646.167.11.1 to 46.167.11.6246.167.11.6362
4646.167.11.64/2646.167.11.65 to 46.167.11.12646.167.11.12762
4746.167.11.128/2646.167.11.129 to 46.167.11.19046.167.11.19162
4846.167.11.192/2646.167.11.193 to 46.167.11.25446.167.11.25562
4946.167.12.0/2646.167.12.1 to 46.167.12.6246.167.12.6362
5046.167.12.64/2646.167.12.65 to 46.167.12.12646.167.12.12762
5146.167.12.128/2646.167.12.129 to 46.167.12.19046.167.12.19162
5246.167.12.192/2646.167.12.193 to 46.167.12.25446.167.12.25562
5346.167.13.0/2646.167.13.1 to 46.167.13.6246.167.13.6362
5446.167.13.64/2646.167.13.65 to 46.167.13.12646.167.13.12762
5546.167.13.128/2646.167.13.129 to 46.167.13.19046.167.13.19162
5646.167.13.192/2646.167.13.193 to 46.167.13.25446.167.13.25562
5746.167.14.0/2646.167.14.1 to 46.167.14.6246.167.14.6362
5846.167.14.64/2646.167.14.65 to 46.167.14.12646.167.14.12762
5946.167.14.128/2646.167.14.129 to 46.167.14.19046.167.14.19162
6046.167.14.192/2646.167.14.193 to 46.167.14.25446.167.14.25562
6146.167.15.0/2646.167.15.1 to 46.167.15.6246.167.15.6362
6246.167.15.64/2646.167.15.65 to 46.167.15.12646.167.15.12762
6346.167.15.128/2646.167.15.129 to 46.167.15.19046.167.15.19162
6446.167.15.192/2646.167.15.193 to 46.167.15.25446.167.15.25562
6546.167.16.0/2646.167.16.1 to 46.167.16.6246.167.16.6362
6646.167.16.64/2646.167.16.65 to 46.167.16.12646.167.16.12762
6746.167.16.128/2646.167.16.129 to 46.167.16.19046.167.16.19162
6846.167.16.192/2646.167.16.193 to 46.167.16.25446.167.16.25562
6946.167.17.0/2646.167.17.1 to 46.167.17.6246.167.17.6362
7046.167.17.64/2646.167.17.65 to 46.167.17.12646.167.17.12762
7146.167.17.128/2646.167.17.129 to 46.167.17.19046.167.17.19162
7246.167.17.192/2646.167.17.193 to 46.167.17.25446.167.17.25562
7346.167.18.0/2646.167.18.1 to 46.167.18.6246.167.18.6362
7446.167.18.64/2646.167.18.65 to 46.167.18.12646.167.18.12762
7546.167.18.128/2646.167.18.129 to 46.167.18.19046.167.18.19162
7646.167.18.192/2646.167.18.193 to 46.167.18.25446.167.18.25562
7746.167.19.0/2646.167.19.1 to 46.167.19.6246.167.19.6362
7846.167.19.64/2646.167.19.65 to 46.167.19.12646.167.19.12762
7946.167.19.128/2646.167.19.129 to 46.167.19.19046.167.19.19162
8046.167.19.192/2646.167.19.193 to 46.167.19.25446.167.19.25562
8146.167.20.0/2646.167.20.1 to 46.167.20.6246.167.20.6362
8246.167.20.64/2646.167.20.65 to 46.167.20.12646.167.20.12762
8346.167.20.128/2646.167.20.129 to 46.167.20.19046.167.20.19162
8446.167.20.192/2646.167.20.193 to 46.167.20.25446.167.20.25562
8546.167.21.0/2646.167.21.1 to 46.167.21.6246.167.21.6362
8646.167.21.64/2646.167.21.65 to 46.167.21.12646.167.21.12762
8746.167.21.128/2646.167.21.129 to 46.167.21.19046.167.21.19162
8846.167.21.192/2646.167.21.193 to 46.167.21.25446.167.21.25562
8946.167.22.0/2646.167.22.1 to 46.167.22.6246.167.22.6362
9046.167.22.64/2646.167.22.65 to 46.167.22.12646.167.22.12762
9146.167.22.128/2646.167.22.129 to 46.167.22.19046.167.22.19162
9246.167.22.192/2646.167.22.193 to 46.167.22.25446.167.22.25562
9346.167.23.0/2646.167.23.1 to 46.167.23.6246.167.23.6362
9446.167.23.64/2646.167.23.65 to 46.167.23.12646.167.23.12762
9546.167.23.128/2646.167.23.129 to 46.167.23.19046.167.23.19162
9646.167.23.192/2646.167.23.193 to 46.167.23.25446.167.23.25562
9746.167.24.0/2646.167.24.1 to 46.167.24.6246.167.24.6362
9846.167.24.64/2646.167.24.65 to 46.167.24.12646.167.24.12762
9946.167.24.128/2646.167.24.129 to 46.167.24.19046.167.24.19162
10046.167.24.192/2646.167.24.193 to 46.167.24.25446.167.24.25562
10146.167.25.0/2646.167.25.1 to 46.167.25.6246.167.25.6362
10246.167.25.64/2646.167.25.65 to 46.167.25.12646.167.25.12762
10346.167.25.128/2646.167.25.129 to 46.167.25.19046.167.25.19162
10446.167.25.192/2646.167.25.193 to 46.167.25.25446.167.25.25562
10546.167.26.0/2646.167.26.1 to 46.167.26.6246.167.26.6362
10646.167.26.64/2646.167.26.65 to 46.167.26.12646.167.26.12762
10746.167.26.128/2646.167.26.129 to 46.167.26.19046.167.26.19162
10846.167.26.192/2646.167.26.193 to 46.167.26.25446.167.26.25562
10946.167.27.0/2646.167.27.1 to 46.167.27.6246.167.27.6362
11046.167.27.64/2646.167.27.65 to 46.167.27.12646.167.27.12762
11146.167.27.128/2646.167.27.129 to 46.167.27.19046.167.27.19162
11246.167.27.192/2646.167.27.193 to 46.167.27.25446.167.27.25562
11346.167.28.0/2646.167.28.1 to 46.167.28.6246.167.28.6362
11446.167.28.64/2646.167.28.65 to 46.167.28.12646.167.28.12762
11546.167.28.128/2646.167.28.129 to 46.167.28.19046.167.28.19162
11646.167.28.192/2646.167.28.193 to 46.167.28.25446.167.28.25562
11746.167.29.0/2646.167.29.1 to 46.167.29.6246.167.29.6362
11846.167.29.64/2646.167.29.65 to 46.167.29.12646.167.29.12762
11946.167.29.128/2646.167.29.129 to 46.167.29.19046.167.29.19162
12046.167.29.192/2646.167.29.193 to 46.167.29.25446.167.29.25562
12146.167.30.0/2646.167.30.1 to 46.167.30.6246.167.30.6362
12246.167.30.64/2646.167.30.65 to 46.167.30.12646.167.30.12762
12346.167.30.128/2646.167.30.129 to 46.167.30.19046.167.30.19162
12446.167.30.192/2646.167.30.193 to 46.167.30.25446.167.30.25562
12546.167.31.0/2646.167.31.1 to 46.167.31.6246.167.31.6362
12646.167.31.64/2646.167.31.65 to 46.167.31.12646.167.31.12762
12746.167.31.128/2646.167.31.129 to 46.167.31.19046.167.31.19162
12846.167.31.192/2646.167.31.193 to 46.167.31.25446.167.31.25562
12946.167.32.0/2646.167.32.1 to 46.167.32.6246.167.32.6362
13046.167.32.64/2646.167.32.65 to 46.167.32.12646.167.32.12762
13146.167.32.128/2646.167.32.129 to 46.167.32.19046.167.32.19162
13246.167.32.192/2646.167.32.193 to 46.167.32.25446.167.32.25562
13346.167.33.0/2646.167.33.1 to 46.167.33.6246.167.33.6362
13446.167.33.64/2646.167.33.65 to 46.167.33.12646.167.33.12762
13546.167.33.128/2646.167.33.129 to 46.167.33.19046.167.33.19162
13646.167.33.192/2646.167.33.193 to 46.167.33.25446.167.33.25562
13746.167.34.0/2646.167.34.1 to 46.167.34.6246.167.34.6362
13846.167.34.64/2646.167.34.65 to 46.167.34.12646.167.34.12762
13946.167.34.128/2646.167.34.129 to 46.167.34.19046.167.34.19162
14046.167.34.192/2646.167.34.193 to 46.167.34.25446.167.34.25562
14146.167.35.0/2646.167.35.1 to 46.167.35.6246.167.35.6362
14246.167.35.64/2646.167.35.65 to 46.167.35.12646.167.35.12762
14346.167.35.128/2646.167.35.129 to 46.167.35.19046.167.35.19162
14446.167.35.192/2646.167.35.193 to 46.167.35.25446.167.35.25562
14546.167.36.0/2646.167.36.1 to 46.167.36.6246.167.36.6362
14646.167.36.64/2646.167.36.65 to 46.167.36.12646.167.36.12762
14746.167.36.128/2646.167.36.129 to 46.167.36.19046.167.36.19162
14846.167.36.192/2646.167.36.193 to 46.167.36.25446.167.36.25562
14946.167.37.0/2646.167.37.1 to 46.167.37.6246.167.37.6362
15046.167.37.64/2646.167.37.65 to 46.167.37.12646.167.37.12762
15146.167.37.128/2646.167.37.129 to 46.167.37.19046.167.37.19162
15246.167.37.192/2646.167.37.193 to 46.167.37.25446.167.37.25562
15346.167.38.0/2646.167.38.1 to 46.167.38.6246.167.38.6362
15446.167.38.64/2646.167.38.65 to 46.167.38.12646.167.38.12762
15546.167.38.128/2646.167.38.129 to 46.167.38.19046.167.38.19162
15646.167.38.192/2646.167.38.193 to 46.167.38.25446.167.38.25562
15746.167.39.0/2646.167.39.1 to 46.167.39.6246.167.39.6362
15846.167.39.64/2646.167.39.65 to 46.167.39.12646.167.39.12762
15946.167.39.128/2646.167.39.129 to 46.167.39.19046.167.39.19162
16046.167.39.192/2646.167.39.193 to 46.167.39.25446.167.39.25562
16146.167.40.0/2646.167.40.1 to 46.167.40.6246.167.40.6362
16246.167.40.64/2646.167.40.65 to 46.167.40.12646.167.40.12762
16346.167.40.128/2646.167.40.129 to 46.167.40.19046.167.40.19162
16446.167.40.192/2646.167.40.193 to 46.167.40.25446.167.40.25562
16546.167.41.0/2646.167.41.1 to 46.167.41.6246.167.41.6362
16646.167.41.64/2646.167.41.65 to 46.167.41.12646.167.41.12762
16746.167.41.128/2646.167.41.129 to 46.167.41.19046.167.41.19162
16846.167.41.192/2646.167.41.193 to 46.167.41.25446.167.41.25562
16946.167.42.0/2646.167.42.1 to 46.167.42.6246.167.42.6362
17046.167.42.64/2646.167.42.65 to 46.167.42.12646.167.42.12762
17146.167.42.128/2646.167.42.129 to 46.167.42.19046.167.42.19162
17246.167.42.192/2646.167.42.193 to 46.167.42.25446.167.42.25562
17346.167.43.0/2646.167.43.1 to 46.167.43.6246.167.43.6362
17446.167.43.64/2646.167.43.65 to 46.167.43.12646.167.43.12762
17546.167.43.128/2646.167.43.129 to 46.167.43.19046.167.43.19162
17646.167.43.192/2646.167.43.193 to 46.167.43.25446.167.43.25562
17746.167.44.0/2646.167.44.1 to 46.167.44.6246.167.44.6362
17846.167.44.64/2646.167.44.65 to 46.167.44.12646.167.44.12762
17946.167.44.128/2646.167.44.129 to 46.167.44.19046.167.44.19162
18046.167.44.192/2646.167.44.193 to 46.167.44.25446.167.44.25562
18146.167.45.0/2646.167.45.1 to 46.167.45.6246.167.45.6362
18246.167.45.64/2646.167.45.65 to 46.167.45.12646.167.45.12762
18346.167.45.128/2646.167.45.129 to 46.167.45.19046.167.45.19162
18446.167.45.192/2646.167.45.193 to 46.167.45.25446.167.45.25562
18546.167.46.0/2646.167.46.1 to 46.167.46.6246.167.46.6362
18646.167.46.64/2646.167.46.65 to 46.167.46.12646.167.46.12762
18746.167.46.128/2646.167.46.129 to 46.167.46.19046.167.46.19162
18846.167.46.192/2646.167.46.193 to 46.167.46.25446.167.46.25562
18946.167.47.0/2646.167.47.1 to 46.167.47.6246.167.47.6362
19046.167.47.64/2646.167.47.65 to 46.167.47.12646.167.47.12762
19146.167.47.128/2646.167.47.129 to 46.167.47.19046.167.47.19162
19246.167.47.192/2646.167.47.193 to 46.167.47.25446.167.47.25562
19346.167.48.0/2646.167.48.1 to 46.167.48.6246.167.48.6362
19446.167.48.64/2646.167.48.65 to 46.167.48.12646.167.48.12762
19546.167.48.128/2646.167.48.129 to 46.167.48.19046.167.48.19162
19646.167.48.192/2646.167.48.193 to 46.167.48.25446.167.48.25562
19746.167.49.0/2646.167.49.1 to 46.167.49.6246.167.49.6362
19846.167.49.64/2646.167.49.65 to 46.167.49.12646.167.49.12762
19946.167.49.128/2646.167.49.129 to 46.167.49.19046.167.49.19162
20046.167.49.192/2646.167.49.193 to 46.167.49.25446.167.49.25562
20146.167.50.0/2646.167.50.1 to 46.167.50.6246.167.50.6362
20246.167.50.64/2646.167.50.65 to 46.167.50.12646.167.50.12762
20346.167.50.128/2646.167.50.129 to 46.167.50.19046.167.50.19162
20446.167.50.192/2646.167.50.193 to 46.167.50.25446.167.50.25562
20546.167.51.0/2646.167.51.1 to 46.167.51.6246.167.51.6362
20646.167.51.64/2646.167.51.65 to 46.167.51.12646.167.51.12762
20746.167.51.128/2646.167.51.129 to 46.167.51.19046.167.51.19162
20846.167.51.192/2646.167.51.193 to 46.167.51.25446.167.51.25562
20946.167.52.0/2646.167.52.1 to 46.167.52.6246.167.52.6362
21046.167.52.64/2646.167.52.65 to 46.167.52.12646.167.52.12762
21146.167.52.128/2646.167.52.129 to 46.167.52.19046.167.52.19162
21246.167.52.192/2646.167.52.193 to 46.167.52.25446.167.52.25562
21346.167.53.0/2646.167.53.1 to 46.167.53.6246.167.53.6362
21446.167.53.64/2646.167.53.65 to 46.167.53.12646.167.53.12762
21546.167.53.128/2646.167.53.129 to 46.167.53.19046.167.53.19162
21646.167.53.192/2646.167.53.193 to 46.167.53.25446.167.53.25562
21746.167.54.0/2646.167.54.1 to 46.167.54.6246.167.54.6362
21846.167.54.64/2646.167.54.65 to 46.167.54.12646.167.54.12762
21946.167.54.128/2646.167.54.129 to 46.167.54.19046.167.54.19162
22046.167.54.192/2646.167.54.193 to 46.167.54.25446.167.54.25562
22146.167.55.0/2646.167.55.1 to 46.167.55.6246.167.55.6362
22246.167.55.64/2646.167.55.65 to 46.167.55.12646.167.55.12762
22346.167.55.128/2646.167.55.129 to 46.167.55.19046.167.55.19162
22446.167.55.192/2646.167.55.193 to 46.167.55.25446.167.55.25562
22546.167.56.0/2646.167.56.1 to 46.167.56.6246.167.56.6362
22646.167.56.64/2646.167.56.65 to 46.167.56.12646.167.56.12762
22746.167.56.128/2646.167.56.129 to 46.167.56.19046.167.56.19162
22846.167.56.192/2646.167.56.193 to 46.167.56.25446.167.56.25562
22946.167.57.0/2646.167.57.1 to 46.167.57.6246.167.57.6362
23046.167.57.64/2646.167.57.65 to 46.167.57.12646.167.57.12762
23146.167.57.128/2646.167.57.129 to 46.167.57.19046.167.57.19162
23246.167.57.192/2646.167.57.193 to 46.167.57.25446.167.57.25562
23346.167.58.0/2646.167.58.1 to 46.167.58.6246.167.58.6362
23446.167.58.64/2646.167.58.65 to 46.167.58.12646.167.58.12762
23546.167.58.128/2646.167.58.129 to 46.167.58.19046.167.58.19162
23646.167.58.192/2646.167.58.193 to 46.167.58.25446.167.58.25562
23746.167.59.0/2646.167.59.1 to 46.167.59.6246.167.59.6362
23846.167.59.64/2646.167.59.65 to 46.167.59.12646.167.59.12762
23946.167.59.128/2646.167.59.129 to 46.167.59.19046.167.59.19162
24046.167.59.192/2646.167.59.193 to 46.167.59.25446.167.59.25562
24146.167.60.0/2646.167.60.1 to 46.167.60.6246.167.60.6362
24246.167.60.64/2646.167.60.65 to 46.167.60.12646.167.60.12762
24346.167.60.128/2646.167.60.129 to 46.167.60.19046.167.60.19162
24446.167.60.192/2646.167.60.193 to 46.167.60.25446.167.60.25562
24546.167.61.0/2646.167.61.1 to 46.167.61.6246.167.61.6362
24646.167.61.64/2646.167.61.65 to 46.167.61.12646.167.61.12762
24746.167.61.128/2646.167.61.129 to 46.167.61.19046.167.61.19162
24846.167.61.192/2646.167.61.193 to 46.167.61.25446.167.61.25562
24946.167.62.0/2646.167.62.1 to 46.167.62.6246.167.62.6362
25046.167.62.64/2646.167.62.65 to 46.167.62.12646.167.62.12762
25146.167.62.128/2646.167.62.129 to 46.167.62.19046.167.62.19162
25246.167.62.192/2646.167.62.193 to 46.167.62.25446.167.62.25562
25346.167.63.0/2646.167.63.1 to 46.167.63.6246.167.63.6362
25446.167.63.64/2646.167.63.65 to 46.167.63.12646.167.63.12762
25546.167.63.128/2646.167.63.129 to 46.167.63.19046.167.63.19162
25646.167.63.192/2646.167.63.193 to 46.167.63.25446.167.63.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses